cifti::NiftiIO Class Reference

## Public Member Functions

void | openRead (const AString &filename)
void | writeNew (const AString &filename, const NiftiHeader &header, const int &version=1, const bool &withRead=false, const bool &swapEndian=false)
AString | getFilename () const
void | overrideDimensions (const std::vector< int64_t > &newDims)
void | close ()
const NiftiHeader & | getHeader () const
const std::vector< int64_t > & | getDimensions () const
int | getNumComponents () const
template<typename T>
void | readData (T *dataOut, const int &fullDims, const std::vector< int64_t > &indexSelect, const bool &tolerateShortRead=false)
template<typename T>
void | writeData (const T *dataIn, const int &fullDims, const std::vector< int64_t > &indexSelect)

The documentation for this class was generated from the following files:

- NiftiIO.h
- NiftiIO.cxx